Subject: [rtcweb] draft-nandakumar-rtcweb-sdp-00 - Legacy Interop

From: "Hutton, Andrew" <[email-masked]>
Date: Thu, 18 Oct 2012 16:26:15 +0000

Hi,

Just looking at the legacy interop examples in this draft at http://tools.ietf.org/html/draft-nandakumar-rtcweb-sdp-00#section-6. 

I know it states "The ideas included in here are not fully baked into the standards and might be controversial in nature" but don't they actually conflict directly with existing decisions made?

For example section 6.1 implies that the browser could be made to generate an m line for RTP/AVP which it of course will not do. I know that actually this is trick because DTLS-SRTP is still used but does look very messy. Or do I misunderstand something?

I am wondering whether the authors envisage that this SDP is generated by the browser or somehow handcrafted by the application but I assume the browser would have to do this, correct?

Regards
Andy